- entityDefinitions:
  - IDI_Task_ViewGetReferencedInstanceSetMethod: '{e99aec78-1b79-4957-8834-19ac8bb75fe0}'
  - IDI_Task_EditGetReferencedInstanceSetMethod: '{0831cf17-84ec-454f-9619-d8b843cb3aef}'
  - IDE_GetReferencedInstanceSetMethod_View: '{3d4fb306-be7a-4877-a3b9-194f584987e5}'
  - IDE_GetReferencedInstanceSetMethod_Edit: '{d348e3c6-12ac-4520-969a-9ccca256bd84}'
  - IDE_GetReferencedInstanceSetMethod_Definition: '{a965415f-d21c-4f93-ba92-fbde7aacfc3b}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_ViewGetReferencedInstanceSetMethod;'
    name: 'View GRS - Get Referenced Instance Set Method'
    initiatingElement: '&IDE_GetReferencedInstanceSetMethod_View;'
    taskCategory: '&IDI_TaskCategory_GetReferencedInstanceSetMethod;'

  - sequenceTask: '&IDI_Task_EditGetReferencedInstanceSetMethod;'
    name: 'Edit GRS - Get Referenced Instance Set Method'
    initiatingElement: '&IDE_GetReferencedInstanceSetMethod_Edit;'
    taskCategory: '&IDI_TaskCategory_GetReferencedInstanceSetMethod;'

  - element: '&IDE_GetReferencedInstanceSetMethod_View;'
    name: 'view grs'
    elementContents:
    - globalIdentifier: '{92ba73c2-5c7e-4c91-9d2b-c1af0f3a6413}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{85b8a91d-5af6-446b-8e59-5319b3723945}'
      defaultDataType: '&IDE_GetReferencedInstanceSetMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_GetReferencedInstanceSetMethod_Definition;'
    name: 'grs subedit'
    label: 'Method Implementation'
    elementContents:
    - globalIdentifier: '{d882d0c4-2880-4456-af1a-c1065e21f6f6}'
      defaultDataType: '&IDR_Get_Referenced_Instance_Set_Method__returns__Work_Set;'
      label: 'Returns Work Set'
      order: a
    - globalIdentifier: '{b77cf477-e3a2-448c-983f-ee8a63729acb}'
      defaultDataType: '&IDR_Get_Referenced_Instance_Set_Method__uses_reference__Executable_returning_Instance_Set;'
      label: 'Loop on Instance Set'
      order: b
    - globalIdentifier: '{0a85b2fa-427a-4b6f-8fde-778a3c2dd28c}'
      defaultDataType: '&IDR_Get_Referenced_Instance_Set_Method__uses_answer__Executable_returning_Instance_Set;'
      label: 'Get Instance Set'
      order: c


  - element: '&IDE_GetReferencedInstanceSetMethod_Edit;'
    name: 'edit grs'
    elementContents:
    - globalIdentifier: '{19164d2e-e649-41ad-997c-8325dfbf59ab}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{21f0acbe-ded5-4ea8-b4f4-f6e5487fabab}'
      defaultDataType: '&IDE_GetReferencedInstanceSetMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
